Bug 20620 - Warning in moredetail.pl need to be removed
Summary: Warning in moredetail.pl need to be removed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 19995
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-19 12:44 UTC by Jonathan Druart
Modified: 2018-10-24 09:13 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20620: Remove warnings in moredetail.pl (2.50 KB, patch)
2018-04-19 12:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20620: Remove warnings in moredetail.pl (2.55 KB, patch)
2018-04-20 19:50 UTC, Bouzid Fergani
Details | Diff | Splinter Review
Bug 20620: Remove warnings in moredetail.pl (2.65 KB, patch)
2018-05-04 09:41 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-04-19 12:44:06 UTC
Use of uninitialized value in hash element at /home/vagrant/kohaclone/catalogue/moredetail.pl line 126.
Use of uninitialized value in sprintf at /home/vagrant/kohaclone/catalogue/moredetail.pl line 127.
Use of uninitialized value in sprintf at /home/vagrant/kohaclone/catalogue/moredetail.pl line 127.
Use of uninitialized value in sprintf at /home/vagrant/kohaclone/catalogue/moredetail.pl line 137.
Use of uninitialized value in sprintf at /home/vagrant/kohaclone/catalogue/moredetail.pl line 137.
Comment 1 Jonathan Druart 2018-04-19 12:56:50 UTC
Created attachment 74548 [details] [review]
Bug 20620: Remove warnings in moredetail.pl

Since 19995 warnings are displayed in moredetail.pl, we should get rid
of them.

Test plan:
Hit moredetail.pl with different biblionumbers and confirm you do no
longer see warnings in logs.

Make sure values for rentalcharge, item type, ccode and replacementprice
are displayed correctly.
Comment 2 Bouzid Fergani 2018-04-20 19:50:30 UTC
Created attachment 74659 [details] [review]
Bug 20620: Remove warnings in moredetail.pl

Since 19995 warnings are displayed in moredetail.pl, we should get rid
of them.

Test plan:
Hit moredetail.pl with different biblionumbers and confirm you do no
longer see warnings in logs.

Make sure values for rentalcharge, item type, ccode and replacementprice
are displayed correctly.

Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Comment 3 Marcel de Rooy 2018-05-04 09:41:46 UTC
Created attachment 75057 [details] [review]
Bug 20620: Remove warnings in moredetail.pl

Since 19995 warnings are displayed in moredetail.pl, we should get rid
of them.

Test plan:
Hit moredetail.pl with different biblionumbers and confirm you do no
longer see warnings in logs.

Make sure values for rentalcharge, item type, ccode and replacementprice
are displayed correctly.

Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2018-05-04 12:50:28 UTC
Pushed to master for 18.05, thanks to everybody involved!